## humble 1.28

=== requirements.txt ===
colorama>=0.4.6
fpdf2>=2.7.3
requests>=2.29.0
tldextract>=3.4.1

=== debian/changelog ===
humble (1.28-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:43:53 +0200

humble (1.28-0kali1) kali-dev; urgency=medium

  * New upstream version 1.28
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Sep 2023 09:33:42 +0200

humble (1.27-0kali1) kali-dev; urgency=medium

  * New upstream version 1.27

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 11 Aug 2023 11:35:13 +0200

humble (1.26-0kali1) kali-dev; urgency=medium

  * New upstream version 1.26
  * Refresh patches
  * Adapt autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jul 2023 16:03:34 +0200

humble (1.24-0kali1) kali-dev; urgency=medium

  * New upstream version 1.24
  * Refresh patches
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 May 2023 14:35:46 +0200

humble (1.23-0kali1) kali-dev; urgency=medium

  * Fix uscan to not track versions YYYY/MM/DD
  * New upstream version 1.23
  * Refresh patches
  * Improve autopktest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 May 2023 15:51:26 +0200

humble (1.22-0kali1) kali-dev; urgency=medium

  * Initial release. (see 7213)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Apr 2023 12:15:20 +0200

=== debian/control ===
Source: humble
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
Standards-Version: 4.6.2
Homepage: https://github.com/rfc-st/humble

Package: humble
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 publicsuffix,
 python3-colorama,
 python3-fpdf,
 python3-requests,
 python3-tldextract,
Description: HTTP Headers Analyzer
 This package contains an  humble, and fast, security-oriented HTTP headers
 analyzer.

## humble 1.50

=== requirements.txt ===
colorama>=0.4.6
fpdf2>=2.7.7
requests>=2.32.3
tldextract>=3.4.1

=== debian/changelog ===
humble (1.50-0kali1) kali-dev; urgency=medium

  * New upstream version 1.50

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Jun 2025 13:47:46 +0200

humble (1.49-0kali1) kali-dev; urgency=medium

  * New upstream version 1.49

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 May 2025 14:31:21 +0200

humble (1.48-0kali1) kali-dev; urgency=medium

  * New upstream version 1.48

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Apr 2025 16:32:49 +0200

humble (1.47-0kali1) kali-dev; urgency=medium

  * New upstream version 1.47

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Mar 2025 10:51:13 +0100

humble (1.46-0kali2) kali-dev; urgency=medium

  * Update autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Feb 2025 10:07:29 +0100

humble (1.46-0kali1) kali-dev; urgency=medium

  * New upstream version 1.46

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 03 Feb 2025 15:55:55 +0100

humble (1.45-0kali1) kali-dev; urgency=medium

  * New upstream version 1.45
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Jan 2025 16:22:59 +0100

humble (1.44-0kali1) kali-dev; urgency=medium

  * New upstream version 1.44

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 06 Dec 2024 16:07:01 +0100

humble (1.43-0kali1) kali-dev; urgency=medium

  * New upstream version 1.43

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Nov 2024 15:39:06 +0100

humble (1.42-0kali1) kali-dev; urgency=medium

  * New upstream version 1.42
  * Remove useless patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Oct 2024 15:33:02 +0200

humble (1.41-0kali1) kali-dev; urgency=medium

  * New upstream version 1.41
  * Refresh patches
  * Bump Standards-Version to 4.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 24 Sep 2024 17:10:05 +0200

humble (1.40-0kali1) kali-dev; urgency=medium

  * New upstream version 1.40
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Sep 2024 12:03:23 +0200

humble (1.39-0kali1) kali-dev; urgency=medium

  * New upstream version 1.39
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Aug 2024 09:43:24 +0200

humble (1.38-0kali1) kali-dev; urgency=medium

  * New upstream version 1.38
  * Refresh patches
  * Update autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 26 Jul 2024 14:10:03 +0200

humble (1.37-0kali1) kali-dev; urgency=medium

  * New upstream version 1.37
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Jun 2024 14:36:21 +0200

humble (1.35-0kali2) kali-dev; urgency=medium

  * Fix patch use-absolute-path

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 08 Apr 2024 17:39:57 +0200

humble (1.35-0kali1) kali-dev; urgency=medium

  * New upstream version 1.35
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 29 Mar 2024 11:58:56 +0100

humble (1.34-0kali1) kali-dev; urgency=medium

  * New upstream version 1.34
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Mar 2024 15:44:00 +0100

humble (1.33-0kali2) kali-dev; urgency=medium

  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Feb 2024 11:08:58 +0100

humble (1.33-0kali1) kali-dev; urgency=medium

  * New upstream version 1.33
  * Update debian/copyright
  * Refresh patches
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 08 Feb 2024 15:16:06 +0100

humble (1.32-0kali2) kali-dev; urgency=medium

  * Update autopkgtest with new output name

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 12 Jan 2024 12:15:37 +0100

humble (1.32-0kali1) kali-dev; urgency=medium

  * New upstream version 1.32
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Jan 2024 17:31:13 +0100

humble (1.30-0kali1) kali-dev; urgency=medium

  * New upstream version 1.30
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Nov 2023 12:23:57 +0100

humble (1.29-0kali1) kali-dev; urgency=medium

  * New upstream version 1.29
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Oct 2023 17:34:13 +0200

## humble 1.51

=== debian/changelog ===
humble (1.51-0kali1) kali-dev; urgency=medium

  * New upstream version 1.51

 -- Sophie Brun <sophie@kali.org>  Wed, 06 Aug 2025 17:19:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: humble
 Section: misc
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-setuptools,
  python3-all,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/rfc-st/humble
+Vcs-Browser: https://gitlab.com/kalilinux/packages/humble
+Vcs-Git: https://gitlab.com/kalilinux/packages/humble.git
 
 Package: humble
 Architecture: all

## humble 1.52

=== debian/changelog ===
humble (1.52-0kali1) kali-dev; urgency=medium

  * Update my email
  * New upstream version 1.52
  * Add missing dep python3-xlsxwriter

 -- Sophie Brun <sophie@kali.org>  Mon, 18 Aug 2025 15:21:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -24,6 +24,7 @@
  python3-fpdf,
  python3-requests,
  python3-tldextract,
+ python3-xlsxwriter,
 Description: HTTP Headers Analyzer
  This package contains an  humble, and fast, security-oriented HTTP headers
  analyzer.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=humble

%:
	dh $@ #--buildsystem=pybuild

override_dh_install:
	dh_install -Xrequirements

## humble 1.53

=== debian/changelog ===
humble (1.53-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * New upstream version 1.53

 -- Sophie Brun <sophie@kali.org>  Wed, 24 Sep 2025 11:08:54 +0200

## humble 1.54

=== requirements.txt ===
colorama>=0.4.6
fpdf2>=2.7.7
pytest>=8.4.1
requests>=2.32.3
tldextract>=3.4.1
xlsxwriter>=3.2.5

=== debian/changelog ===
humble (1.54-0kali1) kali-dev; urgency=medium

  * New upstream version 1.54

 -- Sophie Brun <sophie@kali.org>  Wed, 29 Oct 2025 14:54:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Sophie Brun <sophie@kali.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,

=== debian/tests/control ===
Test-Command: humble -h
Restrictions: superficial, allow-stderr

Test-Command: debian/tests/runtests.sh
Restrictions: allow-stderr, isolation-container, needs-root
Depends: @, apache2

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/rfc-st/humble/tags \
    (?:.*?/)v?(\d+\.[\.\d]+)@ARCHIVE_EXT@

## humble 1.55

=== debian/changelog ===
humble (1.55-0kali1) kali-dev; urgency=medium

  * New upstream version 1.55

 -- Sophie Brun <sophie@kali.org>  Tue, 02 Dec 2025 13:52:49 +0100

## humble 1.57

=== requirements.txt ===
colorama>=0.4.6
fpdf2>=2.7.7
pytest>=8.4.1
pytest-cov>=6.2.1
requests>=2.32.3
tldextract>=3.4.1
xlsxwriter>=3.2.5

=== debian/changelog ===
humble (1.57-0kali1) kali-dev; urgency=medium

  * New upstream version 1.57
  * Update debian/copyright

 -- Sophie Brun <sophie@kali.org>  Fri, 09 Jan 2026 10:56:13 +0100

humble (1.56-0kali1) kali-dev; urgency=medium

  * New upstream version 1.56
  * Update debian/watch to Version 5
  * Bump Standards-Version to 4.7.2

 -- Sophie Brun <sophie@kali.org>  Fri, 12 Dec 2025 14:24:26 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-sequence-python3,
  python3-setuptools,
  python3-all,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/rfc-st/humble
 Vcs-Browser: https://gitlab.com/kalilinux/packages/humble
 Vcs-Git: https://gitlab.com/kalilinux/packages/humble.git

## humble 1.58

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 colorama>=0.4.6
+defusedcsv>=3.0.0
 fpdf2>=2.7.7
 pytest>=8.4.1
 pytest-cov>=6.2.1

=== docs/requirements.txt ===
mkdocs
mkdocs-material
mkdocstrings
mkdocstrings-python
mkdocs-git-revision-date-localized-plugin
griffe

=== debian/changelog ===
humble (1.58-0kali1) kali-dev; urgency=medium

  * New upstream version 1.58
  * Add missing build python3-defusedcsv

 -- Sophie Brun <sophie@kali.org>  Thu, 19 Feb 2026 12:16:20 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  ${misc:Depends},
  publicsuffix,
  python3-colorama,
+ python3-defusedcsv,
  python3-fpdf,
  python3-requests,
  python3-tldextract,

=== debian/watch ===
Version: 5
Template: Github
Owner: rfc-st
Project: humble
